Path: API › 网站管理

`POST /site`

获取面板上已安装的所有 PHP 版本及运行状态。

## Request body

_Required._

- `action248.request_time` (string, required) — Unix 时间戳。
- `action248.request_token` (string, required) — 按 API 概览生成的签名。
- `action248.action` (string, required) — 具体操作名称。
  - one of `"GetPHPVersion"`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "GetPHPVersion"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/site" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=GetPHPVersion"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
[
  {
    "version": "00",
    "name": "纯静态",
    "status": true
  },
  {
    "version": "85",
    "name": "PHP-85",
    "status": true
  }
]
```

- `action248.response.default.version` (string, optional) — 版本号，`00` 表示纯静态
- `action248.response.default.name` (string, optional) — 显示名称，如 `PHP-85`、`纯静态`
- `action248.response.default.status` (boolean, optional) — 是否正在运行


## GetPHPVersion

获取面板上已安装的所有 PHP 版本及运行状态。

- **路由**：`POST /site`
- **action**：`GetPHPVersion`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `GetPHPVersion` |

## 输出参数

返回数组，每项：

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| version | String | 版本号，`00` 表示纯静态 |
| name | String | 显示名称，如 `PHP-85`、`纯静态` |
| status | Boolean | 是否正在运行 |

## 示例

### 请求

```
POST /site HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

request_time=1700000000&request_token=xxx&action=GetPHPVersion
```

### 响应

```json
[
    {"version": "00", "name": "纯静态", "status": true},
    {"version": "85", "name": "PHP-85", "status": true}
]
```

